Support Questions
Find answers, ask questions, and share your expertise

Apache Superset with Apache Kudu

Solved Go to solution

Apache Superset with Apache Kudu

Explorer

Hello,

 

I saw couple of blogs talks about using Superset with Kudu throw Impala.

http://www.bigdatareflections.net/blog/?p=52

http://www.bigdatareflections.net/blog/?cat=5

 

Beside the fact that the blog is from 2017, do I need to install Impala to get it work, or there is another way to plug Kudu with Superset like in the case of Druid (Superset has a native connector to Druid and a majority of Druid’s features are accessible through Superset)?

 

Regards

Anis

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Apache Superset with Apache Kudu

Contributor

Hi,

 

I think you will need Impala to make Superset working with Kudu.  At http://superset.apache.org/#databases it's mentioned the database engine needs '... proper DB-API driver and SQLAlchemy dialect ...' to be usable by Superset.  I guess the '...proper DB-API driver ...' is based on JDBC, and there isn't JDBC for Kudu as of now.

 

As far as I know, there isn't native Superset Kudu connector either.  However, contributions are always welcome!

 

 

Kind regards,

 

Alexey

View solution in original post

1 REPLY 1
Highlighted

Re: Apache Superset with Apache Kudu

Contributor

Hi,

 

I think you will need Impala to make Superset working with Kudu.  At http://superset.apache.org/#databases it's mentioned the database engine needs '... proper DB-API driver and SQLAlchemy dialect ...' to be usable by Superset.  I guess the '...proper DB-API driver ...' is based on JDBC, and there isn't JDBC for Kudu as of now.

 

As far as I know, there isn't native Superset Kudu connector either.  However, contributions are always welcome!

 

 

Kind regards,

 

Alexey

View solution in original post